[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVColumnClickEvent

Specifies an event handler signalled for a mouse click on a list view column.

## Declaration

Source position: comctrls.pp line 1306

`type TLVColumnClickEvent = procedure(`
`Sender: TObject;`
`Column: TListColumn`
`) of object;`

## Arguments

`Sender` |  | Object (TCustomListView) for the event.
`Column` |  | TListColumn instance for the event.

## Description

TLVColumnClickEvent is the type used to implement the OnColumnClick property in TCustomListView. TLVColumnClickEvent allows an application to perform actions needed when a click event is handled for a column on the list view control.

Use Sender (cast to a TCustomListView type) to access properties and methods in the list view control. Use Column to access properties and methods in the TListColumn instance for the event.

## See also

TCustomListView.OnColumnClick |  | Event handler signalled when a column header for the control is clicked.
TListColumn |  | Represents an individual column in a multi-column list control.